com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_FreqRssi

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_FreqRssi
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_FreqRssi

-     public class STUHFL_T_ST25RU3993_FreqRssi
      extends BR_ST25RU3993_FreqRssi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_FreqRssi

      `BR_ST25RU3993_FreqRssi.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `frequency`
    `short` | `rssiLogI` < I Param: Frequency for RSSI
    `short` | `rssiLogQ` < O Param: I parameter of logarithmic scaled RSSI

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_FreqRssi()`
    `STUHFL_T_ST25RU3993_FreqRssi(long frequency, short rssiLogI, short rssiLogQ)`
    `STUHFL_T_ST25RU3993_FreqRssi(STUHFL_T_ST25RU3993_FreqRssi other)` < O Param: Q parameter of logarithmic scaled RSSI

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `fetch()` Get frequency RSSI information from board for selected frequency
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_FreqRssi

      `_Get_FreqRSSI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### frequency

          public long frequency

    - #### rssiLogI

          public short rssiLogI

      < I Param: Frequency for RSSI

    - #### rssiLogQ

          public short rssiLogQ

      < O Param: I parameter of logarithmic scaled RSSI

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_FreqRssi

          public STUHFL_T_ST25RU3993_FreqRssi(STUHFL_T_ST25RU3993_FreqRssi other)

      < O Param: Q parameter of logarithmic scaled RSSI

    - #### STUHFL_T_ST25RU3993_FreqRssi

          public STUHFL_T_ST25RU3993_FreqRssi(long frequency,
                                              short rssiLogI,
                                              short rssiLogQ)

    - #### STUHFL_T_ST25RU3993_FreqRssi

          public STUHFL_T_ST25RU3993_FreqRssi()

  - ### Method Detail

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get frequency RSSI information from board for selected frequency
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`